package rtcservicelogic

import (
	"context"

	"im-rtc/internal/svc"
	"im-rtc/pb/rtc"

	"github.com/zeromicro/go-zero/core/logx"
)

type GetMeetingRecordsLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewGetMeetingRecordsLogic(ctx context.Context, svcCtx *svc.ServiceContext) *GetMeetingRecordsLogic {
	return &GetMeetingRecordsLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *GetMeetingRecordsLogic) GetMeetingRecords(in *rtc.GetMeetingRecordsReq) (*rtc.GetMeetingRecordsResp, error) {
	// todo: add your logic here and delete this line

	return &rtc.GetMeetingRecordsResp{}, nil
}
